--Funciones

function ganar()
local win=true
	for y = 1, #nivel do
		for x = 1, #nivel[y] do
			if nivel[y][x]!="a" then win=false end
		end
	end
	
if win then os.message("Enhorabuena has ganado") nivel_actual=nivel_actual+1 levelup() end
end

function habilidades()
	for i=1,10 do
	if objetos[i].y>300 then objetos[i]={x=math.random(0,455),y=-1000,w=25,h=25,e=false,t=math.random(1,4)} end
	
		objetos[i].y=objetos[i].y+1
		if not objetos[i].e then img_caja[objetos[i].t]:blit(objetos[i].x,objetos[i].y) end
		
		for p=1,3 do
			if col(plata[p],objetos[i]) and not objetos[i].e then
			if objetos[i].t==2 then respecial=6 pelota.vel=pelota.vel*1.25 end
			if objetos[i].t==3 then pelota.vel=pelota.vel/1.5 end
			if objetos[i].t==4 then pelota.vel=pelota.vel*1.5 end
				temporizadores[objetos[i].t]:start()
				objetos[i].e=true
			end
		end
	end

if temporizadores[2]:time()>10 then pelota.i=fireball end

if temporizadores[1]:time()>12000 then temporizadores[1]:reset() temporizadores[1]:stop() end
if temporizadores[2]:time()>30000 then respecial=0 pelota.vel=pelota.vel/1.25 pelota.i=img_prede temporizadores[2]:reset() temporizadores[2]:stop() end
if temporizadores[3]:time()>15000 then pelota.vel=pelota.vel*1.5 temporizadores[3]:reset() temporizadores[3]:stop() end
if temporizadores[4]:time()>15000 then pelota.vel=pelota.vel/1.5 temporizadores[4]:reset() temporizadores[4]:stop() end

end

function choque(obj1,x,y)
	if obj1.x+obj1.w>x*30-30 
	and obj1.x<x*30-30+30
	and obj1.y+obj1.h>y*30-30
	and obj1.y<y*30-30+30 then 
		return true 
	end
return false 
end

function cambio_ang()
	if pelota.d==3 then pelota.d=5 
	elseif pelota.d==5 then pelota.d=3 
	elseif pelota.d==2 then pelota.d=1 
	elseif pelota.d==1 then pelota.d=2 
	elseif pelota.d==6 then pelota.d=4 
	elseif pelota.d==4 then pelota.d=6 end
	
end

function movimiento_pelota()
if not saque then
if pelota.d==1 then pelota.y=pelota.y+pelota.vel pelota.x=pelota.x-pelota.vel/2 end
if pelota.d==2 then pelota.y=pelota.y+pelota.vel pelota.x=pelota.x+pelota.vel/2 end
if pelota.d==3 then pelota.y=pelota.y-pelota.vel pelota.x=pelota.x-pelota.vel/2 end
if pelota.d==4 then pelota.y=pelota.y+pelota.vel end
if pelota.d==5 then pelota.y=pelota.y-pelota.vel pelota.x=pelota.x+pelota.vel/2 end
if pelota.d==6 then pelota.y=pelota.y-pelota.vel end
end
end